/* Style pour la section d'accueil */
#accueil {
    margin: 0;
    padding: 110px 50px;
    box-sizing: border-box;
    background-image: url('../public/images/impress.avif');
    background-size: cover;
    background-position: center;
    color: white;
    text-align: center;
}

body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f0f0f0;
}

header {
    background-color: #333;
    color: #fff;
    padding: 10px 0;
    text-align: center;
}

header h1 {
    margin: 0;
}

nav a {
    color: #fff;
    margin: 0 15px;
    text-decoration: none;
}

main {
    padding: 20px;
}

section {
    margin-bottom: 20px;
}

h2 {
    color: #333;
}

form {
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

form label {
    display: block;
    margin-bottom: 5px;
}

form input,
form select,
form button {
   
    width: 16%;
    padding: 12px;
    margin-bottom: 13px;
    border: 1px solid #251818;
    border-radius: 8px;
}
#apropos {
    text-align: center; /* Centre le contenu horizontalement */
}
#apropos h1 {
    color: rgb(12, 57, 205);
    font-size: 30px; /* Taille du titre */
    margin-bottom: 20px; /* Marge en bas pour séparer du paragraphe suivant */
}
#apropos p {
    color: rgb(104, 108, 121);
    font-size: 20px; /* Taille du paragraphe */
    margin-bottom: 10px; /* Marge en bas pour séparer chaque paragraphe */
}

/* Style pour aligner les champs horizontalement */
form .horizontal-fields {
    display: flex;
    justify-content: 5px;
    gap: 20px; /* Ajustez cette valeur selon vos besoins */
}

form button {
    background-color: #333;
    color: #fff;
    border: none;
    cursor: pointer;
}

form button:hover {
    background-color: #555;
}

/* Style pour la nouvelle ligne au-dessus de la barre de navigation */
.top-bar {
    background-color: rgb(50, 85, 154);
    color: white;
    text-align: right;
    padding: 2px 0;
}

.top-bar p a {
    color: white;
    text-decoration: none;
    margin-right: 10px;
}

.top-bar p a:last-child {
    margin-right: 0;
}

/*   page avant pied de page /////////////////////////////////////////////*/

/* Style pour la section avant le pied de page avec un fond noir */
.dark-section {
    background-color: #000; /* Fond noir */
    color: #fff; /* Texte blanc */
    padding: 10px 20px; /* Padding pour un espacement interne */
    text-align: left; /* Texte aligné à gauche */
}

/* Style pour le conteneur des colonnes */
.container {
    display: flex; /* Utilisation de Flexbox pour la mise en page */
    justify-content: space-between; /* Espace entre les colonnes */
    flex-wrap: wrap; /* Permet aux colonnes de s'enrouler si l'espace est restreint */
}

/* Style pour chaque colonne de la section */
.about-column {
    flex: 1; /* Chaque colonne prend une part égale de l'espace disponible */
    min-width: 200px; /* Largeur minimale pour chaque colonne */
    margin: 20px; /* Marge autour de chaque colonne */
}

/* Style pour les titres des colonnes */
.about-column h3 {
    border-bottom: 3px solid #fff; /* Ligne de séparation en bas du titre */
    padding-bottom: 10px; /* Padding en bas du titre */
    color: #fff; /* Couleur du texte blanc */
    font-size: 24px; /* Taille de la police */
    margin-bottom: 20px; /* Marge en bas du titre */
}

/* Style pour les paragraphes et les listes dans les colonnes */
.about-column p, .about-column ul {
    color: #ccc; /* Couleur du texte gris clair */
    font-size: 16px; /* Taille de la police */
    line-height: 1.5; /* Hauteur de ligne pour une meilleure lisibilité */
}

/* Style pour les listes dans les colonnes */
.about-column ul {
    list-style: none; /* Supprime les puces des listes */
    padding: 0; /* Supprime le padding par défaut */
}

/* Style pour les éléments de liste */
.about-column ul li {
    margin-bottom: 10px; /* Marge en bas de chaque élément de liste */
    position: relative; /* Nécessaire pour les icônes avec ::before */
}

/* Ajoute un symbole devant chaque élément de "Liens utiles" */
.liens-utiles ul li::before {
    content: '\2022'; /* Utilise un point comme symbole */
    color: #fff; /* Couleur du symbole */
    font-weight: bold; /* Gras */
    display: inline-block; /* Affichage en ligne */
    width: 20px; /* Largeur de l'espace pour le symbole */
    margin-right: 10px; /* Espace entre le symbole et le texte */
}

/* Ajoute une icône de localisation devant chaque ville dans "Nos implantations" */
.nos-implantations ul li::before {
    content: '\1F4CD'; /* Code unicode pour l'icône de localisation */
    display: inline-block; /* Affichage en ligne */
    width: 20px; /* Largeur de l'espace pour l'icône */
    margin-right: 20px; /* Espace entre l'icône et le texte */
}



/*   fin page //////////////////////////////////////////////////////////*/

 
/* Style pour le conteneur du pied de page */
footer {
    background-color: #333; /* Couleur de fond */
    color: white; /* Couleur du texte */
    padding: 10px 0; /* Padding en haut et en bas */
    text-align: center; /* Alignement centré du texte */
}

.footer-content {
    display: flex; /* Utilisation de Flexbox */
    justify-content: center; /* Centrer le contenu horizontalement */
    align-items: center; /* Centrer le contenu verticalement */
    flex-wrap: wrap; /* Permet aux éléments de s'enrouler sur plusieurs lignes si nécessaire */
    gap: 10px; /* Espace entre les éléments */
}

.footer-content p {
    margin: 0; /* Supprime les marges des paragraphes */
}

.footer-content a {
    color: #fff; /* Couleur des liens */
    text-decoration: none; /* Supprime la décoration des liens */
}

.footer-content a:hover {
    color: #ddd; /* Couleur des liens au survol */
}

/* Style pour les icônes de réseaux sociaux */
.social-icon {
    font-size: 24px; /* Taille des icônes */
    margin: 0 5px; /* Espace entre les icônes */
}

.social-icon i {
    color: #fff; /* Couleur des icônes */
}

.social-icon:hover i {
    color: #14f157; /* Couleur des icônes au survol */
}


/*   Fin pied de page //////////////////////////////*/

/* Styles pour le logo */
.logo {
    width: 100px; /* Ajustez cette valeur selon vos besoins */
    height: auto; /* Permet de conserver le ratio d'aspect */
}


/* Style responsive pour les petits écrans */
@media (max-width: 768px) {
    .nav-left, .nav-right {
        flex-direction: column;
    }

    .logo {
        width: 80px; /* Ajustez cette valeur selon vos besoins */
        height: auto; /* Permet de conserver le ratio d'aspect */
        margin-right: auto; /* Ajuste la marge à droite pour déplacer le logo vers la gauche */
        margin-left: auto; /* Ajuste la marge à gauche pour éviter qu'il ne soit trop près du bord de la fenêtre */
    
    }

    .service {
        width: 100%;
        margin-bottom: 20px;
    }

    .consult-button, .join-button {
        width: 100%;
        margin: 10px 0;
    }
}
